Cyberduck Mountain Duck CLI

#6217 closed enhancement (wontfix)

Directories unfurling as expected with option key

Reported by: Cyberduck2011 Owned by: dkocher
Priority: low Milestone:
Component: interface Version: 4.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.7

Description

When I press Option and click the down arrow by the side of a folder that contains subfolders and child subfolders, only the subfolders are shown. This is the same as if a modifier key was NOT held down. The expectation is ALL subfolders will be displayed when the top-level folder is Option-clicked (Mac OS behaviour). To instigate the behaviour, I have to Option-click to unfurl the subfolders folders, click again to close and then Option-click. It would be good if clicks behaved as per the OS: Option-click arrow to show all subdirectories.

Change History (3)

comment:1 Changed on Sep 12, 2011 at 7:55:05 AM by dkocher

  • Component changed from core to interface
  • Owner set to dkocher
  • Summary changed from Directories NOT unfurling as expected in Mac OS to Directories unfurling as expected with option key
  • Type changed from defect to enhancement

comment:2 Changed on Dec 1, 2011 at 5:35:14 PM by dkocher

  • Priority changed from normal to low

comment:3 Changed on Apr 23, 2013 at 8:41:53 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

This could be a potentially very long running tasks if you are logged in to a server with a deep hierarchy of folders.

Note: See TracTickets for help on using tickets.
swiss made software